program rl;
//*                                                                *//
//*                        Small Roguelike Game                    *//
//*                 by Kornel "Anubis" Kisielewicz                 *//
//*                       Copyright 2005 (c)                       *//
//*                                                                *//
// @exclude
{$MODE OBJFPC}
{$MEMORY 150000,200000}
{$WARNINGS ON}
{$ASSERTIONS ON} {$HINTS ON}
{$NOTES ON}      {$DEBUGINFO ON}
{$UNITPATH ../VALKYRIE}

uses {heaptrc,}voutput,vtoutput,vdebug,vsystems,vinput,vtinput,rlgame, rlmsg;
begin
  Randomize;
//  {$IFDEF DEBUG}SetHeapTraceOutput('heap.txt');{$ENDIF}
  Systems.Add(Output  ,TTextModeOutput.Create);
  Systems.Add(Input   ,TTextModeInput.Create);
  Systems.Add(Msg     ,TMessageField.Create);
  Systems.Add(Game    ,TGame.Create);
  Game.Load;
  Game.Run;
end.


